{ lib, pkgs, config, ...}:

let

in
{
  options = {
    stitchyconf = {
      dev.stm32.enable = lib.mkEnableOption "Enables STM32 Development";
    };
  };

  config = {
    # Group for probe-rs rules
    users.groups.plugdev = {};

    # Udev Files
    services.udev.packages = lib.mkIf config.stitchyconf.dev.stm32.enable [
    (pkgs.writeTextFile {
      name = "probe-rs-udev";
      destination = "/etc/udev/rules.d/69-probe-rs.rules";
      text = (builtins.readFile ./probe-rs.rules);
    })];
  };
}
